/*
	**
	** packet-headers.h
	**
	** Structures describing network packet headers
	**
	** Copyright 1998-1999 Damien Miller <dmiller@ilogic.com.au>
	**
	** This software is licensed under the terms of the GNU General 
	** Public License (GPL). Please see the file COPYING for details.
	** 
	** $Id: packet-headers.h,v 1.2 1999/02/04 10:22:42 dmiller Exp $
	**
 */

#ifndef _PACKET_HEADERS_H
#define _PACKET_HEADERS_H

#include "sys/types.h"

#define FDDIFC_CLFF			0xF0	/* FDDI frame control mask */
#define FDDIFC_LLC_ASYNC	0x50	/* FDDI LLC frame type */

/* FDDI MAC header */
struct fddi_hdr
{
	u_int8_t		frame_control;
	u_int8_t		src_addr[6];
	u_int8_t		dst_addr[6];
	u_int8_t		dsap;
	u_int8_t		ssap;
	u_int8_t		cntrl;
	u_int8_t		vendorid[3];
	u_int16_t	type;
};

/* Ethernet (RFC894) MAC header */
struct eth_mac_hdr
{
	u_int8_t		src_addr[6];
	u_int8_t		dst_addr[6];
	u_int16_t	type;
};

#endif
