/*
	**
	** resolve-hosts.c 
	**
	** Routines to look up the DNS names of hosts
	**
	** Copyright 1998-1999 Damien Miller <dmiller@ilogic.com.au>
	**
	** This software is licensed under the terms of the GNU General 
	** Public License (GPL). Please see the file COPYING for details.
	** 
	** $Id: resolve-hosts.c,v 1.2 1999/02/04 10:22:43 dmiller Exp $
	**
 */

#include <stdlib.h>
#include <stdio.h>
#include <netdb.h>
#include <time.h>
#include <sys/types.h>
#include <sys/socket.h>

#include "resolve-hosts.h"
#include "report.h"
#include "util.h"

static char			rcsid[] = "$Id: resolve-hosts.c,v 1.2 1999/02/04 10:22:43 dmiller Exp $";

/* Prototypes */
char *resolve_hostname(u_int32_t ip_addr);

void resolve_hosts(host_t *h)
{
	while(h != NULL)
	{
		if (h->hostname != NULL)
			free(h->hostname);
			
		h->hostname = resolve_hostname(h->ip_addr);
		
		h = h->next;
	}
}

char *resolve_hostname(u_int32_t ip_addr)
{
	struct hostent *h;
	
	h = gethostbyaddr((char *)&ip_addr, sizeof(ip_addr), AF_INET);
	
	if ((h == NULL) || (h->h_name == NULL))
		return(NULL);
		
	return(util_strdup(h->h_name));
}
